Application
===========

sanic.app
---------

.. automodule:: sanic.app
    :members:
    :show-inheritance:
    :inherited-members:

sanic.config
------------

.. automodule:: sanic.config
    :members:
    :show-inheritance:

sanic.application.constants
---------------------------

.. automodule:: sanic.application.constants
    :exclude-members: StrEnum
    :members:
    :show-inheritance:
    :inherited-members:

sanic.application.state
-----------------------

.. automodule:: sanic.application.state
    :members:
    :show-inheritance:
